This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1474351 - Panel is ignoring setting Always visible - window goes below panel
Panel is ignoring setting Always visible - window goes below panel
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kdelibs (Show other bugs)
7.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Jan Grulich
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 08:42 EDT by Marek Hruscak
Modified: 2017-09-04 08:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Hruscak 2017-07-24 08:42:33 EDT
Description of problem:
I have 3 screens with 3 panels. All had setting Always visible, but on all windows go below panel.

Version-Release number of selected component (if applicable):
RHEL7.3RC-Workstation variant
kdelibs-4.14.8-6

How reproducible:
Always

Steps to Reproduce:
1. panel -> more settings -> Always visible
2.
3.

Actual results:
The Panel behave as its Windows go below options was turned on.

Expected results:
Windows should not go under the panel

Additional info:
Comment 2 Jan Grulich 2017-07-31 06:00:18 EDT
I think windows will be always able to go below the panel. The option only changes behaviour of windows when you e.g. click on maximize button. If you allow the windows to go below the panel then when you maximize a window, it would go below the panel while when you set it to be always visible then the maximized window will be completely visible as well.
Comment 3 Marek Hruscak 2017-09-04 08:02:02 EDT
Yes, this behavior is faulty, because I set panel to be always visible, but after maximizing some window, it goes below panel.

Note You need to log in before you can comment on or make changes to this bug.